/* Style général de la page (body) */
body {
  background-color: #202124;
  font-family: Roboto, Arial;
  margin: 0px;
}

/* Style de la barre de navigation (nav) */
nav {
  background-color: #343A40;
  display: flex;
  height: 62px;
  align-items: center;
}

/* Style des liens de la barre de navigation (nav) */
nav a {
  font-family: Roboto, Arial;
  color: white;
  text-align: center;
  padding: 16px 20px 16px;
  text-decoration: none;
  font-size: 16px;
  transition: 0.2s;
}

/* Style du logo dans le menu de navigation (nav) */
nav img {
  padding: 10px;
}

/* Style lors du passage de la souris dans le menu de navigation (nav) */
nav a:hover {
  color: #17A2B8;
}

/* Style page active dans le menu de navigation (nav) */
.active {
  color: #17A2B8 !important;
}

/* Styles de sous-menu */
.subnav {
  float: left;
  overflow: hidden;
}

.subnav .subnavbtn {
  color: white;
  font-size: 16px;
  border: none;
  outline: none;
  padding: 16px 20px 16px;
  background-color: inherit;
  font-family: inherit;
  margin: 0;
  transition: 0.2s;
}

.navbar a:hover,
.subnav:hover .subnavbtn {
  color: #17A2B8;
}

.subnav-content {
  display: none;
  position: absolute;
  left: 0;
  background-color: #424548;
  width: 100%;
  z-index: 1;
}

.subnav-content a {
  float: left;
  color: white;
  text-decoration: none;
}

.subnav-content a:hover {
  color: #17A2B8;
}

.subnav:hover .subnav-content {
  display: block;
}

/* Style du header */
header {
  margin: 0px;
  padding: 0px;
  height: 400px;
  background: linear-gradient(to left, rgba(0, 0, 0, 0), rgb(0, 0, 0)), url("/img/mlsrv-header-background.png");
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
}

/* Style du slogan du header */
header h1 {
  font-family: "Roboto Flex";
  font-weight: 400;
  margin: 0px;
  padding: 30px;
  font-size: 70px;
  color: white;
}

/* Style du séparateur */
hr {
  margin: 0;
  border: 0;
  border-top: 2px solid #555658;
}

/* Style de la div des pages */
article {
  color: white;
  margin-left: 15%;
  margin-right: 15%;
  text-align: justify;
  text-justify: inter-word;
}

/* Style du titre h1 */
article .titre-article {
  font-size: 25px;
  font-weight: bold;
}

/* Style de l'image */
article img {
  border-radius: 10px;
  display: block;
  width: 70%;
  margin: auto;
}

/* Style de la source de l'image */
.imgsrc {
  text-align: center;
  font-style: italic;
  font-size: 15px;
  margin: 0;
  margin-bottom: 10px;
  margin-top: 5px;
  padding: 0;
}

/* Style du footer */
footer {
  justify-content: center;
  height: 50px;
  margin: 0px;
  display: flex;
  align-items: center;
  background-color: #343A40;
  color: white;
}